Package org.eclipse.microprofile.openapi.apps.petstore.data

# Class PetData

java.lang.Object
org.eclipse.microprofile.openapi.apps.petstore.data.PetData

public class PetData extends Object

## Constructor Summary

Constructors
Constructor
Description
`PetData()`

## Method Summary

Modifier and Type
Method
Description
`Pet`
`addPet(Pet pet)`
`boolean`
`deletePet(long petId)`
`List<Pet>`
`findPetByStatus(String status)`
`List<Pet>`
`findPetByTags(String tags)`
`Map<String,Integer>`
`getInventoryByStatus()`
`Pet`
`getPetById(long petId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PetData

public PetData()

## Method Details

### getPetById

public Pet getPetById(long petId)

### deletePet

public boolean deletePet(long petId)

### findPetByStatus

public List<Pet> findPetByStatus(String status)

### findPetByTags

public List<Pet> findPetByTags(String tags)

### addPet

public Pet addPet(Pet pet)

### getInventoryByStatus

public Map<String,Integer> getInventoryByStatus()